﻿.loader {
    position: absolute;
    z-index: 9999999999999999999999999999;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 30px;
    background-color: rgba(255,255,255,0.4);
}

.circle1 {
    width: 60px;
    height: 60px;
    background: linear-gradient(-45deg, rgba(215,231,238,1) 0%, rgba(1,138,190,1) 100%);
    border-radius: 50%;
    animation: resize 1.5s linear infinite;
}

.circle2 {
    width: 60px;
    height: 60px;
    background: linear-gradient(-45deg, rgba(151,202,220,1) 0%, rgba(3,69,122,1) 100%);
    border-radius: 50%;
    animation: resize2 1.5s linear infinite;
}

.circle3 {
    width: 60px;
    height: 60px;
    background: linear-gradient(-45deg, rgba(1,138,190,1) 0%, rgba(1,26,72,1) 100%);
    border-radius: 50%;
    animation: resize 1.5s linear infinite;
}

@keyframes resize{
    0%, 100% {
        width: 60px;
        height: 60px;
    }
    50% {
        width: 30px;
        height: 30px;
    }
}

@keyframes resize2 {
    0%, 100% {
        width: 30px;
        height: 30px;
    }

    50% {
        width: 60px;
        height: 60px;
    }
}

.multiline-wrapper {
    background: rgba(255,255,255,0.3);
    position: absolute;
    inset: 0;
    z-index: 9999;
    display: flex;
    justify-content: center;
    align-items: center;
    backdrop-filter: blur(2px);
}

.multiline-loader {
    width: 48px;
    height: 48px;
    border-radius: 50%;
    display: inline-block;
    position: relative;
    border: 3px solid;
    border-color: rgba(230,236,239,255) rgba(230,236,239,255) transparent transparent;
    box-sizing: border-box;
    animation: rotation 1s linear infinite;
}

.multiline-loader::after,
.multiline-loader::before {
    content: '';
    box-sizing: border-box;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    margin: auto;
    border: 3px solid;
    border-color: transparent transparent #60acdc #60acdc;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    box-sizing: border-box;
    animation: rotationBack 0.5s linear infinite;
    transform-origin: center center;
}

.multiline-loader::before {
    width: 32px;
    height: 32px;
    border-color: rgba(230,236,239,255) rgba(230,236,239,255) transparent transparent;
    animation: rotation 1.5s linear infinite;
}

.multiline-loader.big {
    width: 250px;
    height: 250px;
    border-width: 6px;
}

.multiline-loader.big::after,
.multiline-loader.big::before {
    width: 200px;
    height: 200px;
    border-width: 5px;
}

.multiline-loader.big::before {
    width: 150px;
    height: 150px;
}

@keyframes rotation {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

@keyframes rotationBack {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(-360deg);
    }
}
